Skip Menu |
 

This queue is for tickets about the GD CPAN distribution.

Report information
The Basics
Id: 75136
Status: new
Priority: 0/
Queue: GD

People
Owner: Nobody in particular
Requestors: sraymond [...] us.ibm.com
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 2.46
Fixed in: (no value)



Subject: GD Module make problem
Download (untitled) / with headers
text/plain 2.3k
My apologies as I'm new to PERL and loading modules and would appreciate any help. My actual install is on an AIX 6.1 machine but I'm getting the same problem on AIX 5.3. MODULE: GD-2.46. PERL: 5.8.8 After executing perl Makefile.PL for the GD module, when trying to run make I get the following errors: cc_r: 1501-210 (S) command option Wformat=0 contains an incorrect subargument make: 1254-004 The error code from the last command is 40. I've tried searching through docs and forums trying to find what I should be doing with the Wformat=0 but cannot find anything. I did try removing the option but got the following errors when running "make test": # make test PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/GD.t ........ Can't load './blib/arch/auto/GD/GD.so' for module GD: 0509-022 Cannot load module /usr/lib/libgd.a(libgd.so.2). 0509-150 Dependent module /usr/lib/libXpm.a(libXpm.so.4) could not be loaded. 0509-152 Member libXpm.so.4 is not found in archive 0509-022 Cannot load module ./blib/arch/auto/GD/GD.so. 0509-150 Dependent module /usr/lib/libgd.a(libgd.so.2) could not be loaded. at /usr/opt/perl5/lib/5.8.8/aix-thread-multi/DynaLoader.pm line 230. at t/GD.t line 14 Compilation failed in require at t/GD.t line 14. BEGIN failed--compilation aborted at t/GD.t line 14. t/GD.t ........ Dubious, test returned 8 (wstat 2048, 0x800) Failed 12/12 subtests t/Polyline.t .. Can't load '/tmp/GD-2.46/blib/arch/auto/GD/GD.so' for module GD: 0509-022 Cannot load module /usr/lib/libgd.a(libgd.so.2). 0509-150 Dependent module /usr/lib/libXpm.a(libXpm.so.4) could not be loaded. 0509-152 Member libXpm.so.4 is not found in archive 0509-022 Cannot load module /tmp/GD-2.46/blib/arch/auto/GD/GD.so. 0509-150 Dependent module /usr/lib/libgd.a(libgd.so.2) could not be loaded. at /usr/opt/perl5/lib/5.8.8/aix-thread-multi/DynaLoader.pm line 230. at /tmp/GD-2.46/blib/lib/GD/Polyline.pm line 45 Compilation failed in require at /tmp/GD-2.46/blib/lib/GD/Polyline.pm line 45. BEGIN failed--compilation aborted at /tmp/GD-2.46/blib/lib/GD/Polyline.pm line 45. Compilation failed in require at t/Polyline.t line 10. BEGIN failed--compilation aborted at t/Polyline.t line 10. t/Polyline.t .. Dubious, test returned 8 (wstat 2048, 0x800) Failed 1/1 subtests


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.